{% load wagtailimages_tags %}
<section id="portfolio" class="portfolio{% if is_section %} section{% else %} active{% endif %}">
  <div class="display-table">
    <div class="display-content">
      <div class="container">
        <div class="row">
          <div class="col-lg-12">
            <div class="text-center title">
              <h2 class="text-dark">My <span class="base-color">Works</span></h2>
              {% if page.description %}
                <p class="text-muted mb-5 max-width-450">{{ page.description }}</p>
              {% endif %}
            </div>
          </div>
        </div>
        {% for block in page.page_filters %}
          <div class="row">
            <ul id="portfolio-filter"
                class="list-unstyled list-inline mb-0 col-lg-12 text-center portfolio-filter">
              {% for filter in block.value %}
                <li class="button-border list-inline-item">
                  <a href="{{ filter.link }}" data-filter="{{ filter.data_filter }}"
                     class="pill-button{% if forloop.first %} active{% endif %}">{{ filter.title }}</a>
                </li>
              {% endfor %}
            </ul>
          </div>
        {% endfor %}
        <div class="portfolio-items row">
          {% for portfolio in page.portfolios %}
            <div class="col-lg-4 portfolio-item
                {% for tag in portfolio.tags.all %}{{ tag }} {% endfor %}">
              <div class="image-border">
                <div class="portfolio-item-content">
                  {% image portfolio.image fill-600x450 class="img-fluid" %}
                  <div class="img-overlay text-center">
                    <div class="img-overlay-content">
                      <div class="portfolio-icon">
                        <a href="#" type="button" data-key="{{ portfolio.pk }}" data-toggle="modal"
                           data-target="#portfolio-single">
                          <i class="lni-link"></i>
                        </a>
                        <a href="{{ portfolio.image.file.url }}" class="js-zoom-gallery">
                          <i class="lni-search"></i>
                        </a>
                      </div>
                      <h5 class="mt-3 mb-0">{{ portfolio.title }}</h5>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          {% endfor %}
        </div>
        <div class="row mt-4">
          <div class="col-12 text-center pt-2">
            <div class="button-border d-inline-block mr-2 mr-sm-4">
              <button class="pill-button showMore" id="showMore">Show More</button>
              <span id="showMore-initials" class="d-none" data-initial="6" data-next="3"></span>
            </div>
            {% if is_section %}
              <div class="button-border d-inline-block">
                <a href="{{ page.get_url }}" class="pill-button">Portfolio Page</a>
              </div>
            {% endif %}
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<div class="portfolio-single modal fade" id="portfolio-single" tabindex="-1" role="dialog"
     aria-labelledby="portfolioModalScrollable" aria-hidden="true">
  <div class="modal-dialog modal-dialog-scrollable" role="document">
    <div class="modal-content text-muted">
      <div class="modal-header">
        <h5 class="modal-title" id="portfolioModalScrollable">My Work</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="pt-4 pb-5">
          <div class="container">
            <div class="row">
              <div id="modal-content" class="col-12 col-md-10 mx-auto">
                <div id="modal-loader" class="portfolio-loader">
                  <div class="wrapper">
                    <div class="wrapper-cell">
                      <div class="title-line"></div>
                    </div>
                    <div class="wrapper-cell">
                      <div class="text-line"></div>
                    </div>
                    <div class="wrapper-cell">
                      <div class="image"></div>
                    </div>
                    <div class="wrapper-cell">
                      <div class="text-line"></div>
                    </div>
                    <div class="wrapper-cell">
                      <div class="text-line"></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
